# Uses of Interface
org.eclipse.jdt.debug.core.IJavaMethodBreakpoint

Packages that use IJavaMethodBreakpoint
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IJavaMethodBreakpoint in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core that return IJavaMethodBreakpoint
Modifier and Type
Method
Description
`static IJavaMethodBreakpoint`
JDIDebugModel.`createMethodBreakpoint(IResource resource, String typePattern, String methodName, String methodSignature, boolean entry, boolean exit, boolean nativeOnly, int lineNumber, int charStart, int charEnd, int hitCount, boolean register, Map<String,Object> attributes)`
Creates and returns a method breakpoint with the specified criteria.